class LayerNorm2d(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = []
  weight : Tensor
  bias : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  eps : float
  def forward(self: __torch__.d2go.projects.sam.model.common.LayerNorm2d,
    x: Tensor) -> Tensor:
    u = torch.mean(x, [1], True)
    s = torch.mean(torch.pow(torch.sub(x, u), 2), [1], True)
    _0 = torch.sub(x, u)
    eps = self.eps
    x0 = torch.div(_0, torch.sqrt(torch.add(s, eps)))
    weight = self.weight
    _1 = torch.unsqueeze(torch.slice(weight), 1)
    _2 = torch.mul(torch.unsqueeze(_1, 2), x0)
    bias = self.bias
    _3 = torch.unsqueeze(torch.slice(bias), 1)
    x1 = torch.add(_2, torch.unsqueeze(_3, 2))
    return x1
