class ImageEncoderViT(Module):
  __parameters__ = ["pos_embed", ]
  __buffers__ = []
  pos_embed : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  img_size : int
  image_embedding_size : int
  transformer_output_dim : int
  pretrain_use_cls_token : bool
  patch_embed : __torch__.d2go.modeling.backbone.fbnet_v2.FBNetModule
  blocks : __torch__.d2go.modeling.backbone.fbnet_v2.___torch_mangle_4.FBNetModule
  neck : __torch__.torch.nn.modules.container.___torch_mangle_7.Sequential
  def forward(self: __torch__.d2go.projects.sam.model.encoder.sam_encoder.ImageEncoderViT,
    x: Tensor) -> List[Tensor]:
    _0 = "AssertionError: input image size must match self.img_size"
    _1 = __torch__.detectron2.modeling.backbone.utils.get_abs_pos
    _2 = (torch.size(x))[2]
    img_size = self.img_size
    if torch.eq(_2, img_size):
      _4 = (torch.size(x))[3]
      img_size0 = self.img_size
      _3 = torch.eq(_4, img_size0)
    else:
      _3 = False
    if _3:
      pass
    else:
      ops.prim.RaiseException(_0)
    patch_embed = self.patch_embed
    x0 = (patch_embed).forward(x, )
    x1 = torch.permute(x0, [0, 2, 3, 1])
    pos_embed = self.pos_embed
    pretrain_use_cls_token = self.pretrain_use_cls_token
    _5 = ((torch.size(x1))[1], (torch.size(x1))[2])
    _6 = _1(pos_embed, pretrain_use_cls_token, _5, )
    x2 = torch.add(x1, _6)
    blocks = self.blocks
    _00 = getattr(blocks, "0")
    x3 = (_00).forward(x2, )
    neck = self.neck
    x4 = (neck).forward(torch.permute(x3, [0, 3, 1, 2]), )
    return [x4]
