class Attention(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  num_heads : int
  scale : float
  use_rel_pos : bool
  qkv : __torch__.torch.nn.modules.linear.Linear
  proj : __torch__.torch.nn.modules.linear.___torch_mangle_0.Linear
  def forward(self: __torch__.mobile_cv.arch.fbnet_v2.fb.vit_det_utils.Attention,
    x: Tensor) -> Tensor:
    B, H, W, _0, = torch.size(x)
    qkv = self.qkv
    _1 = (qkv).forward(x, )
    _2 = torch.mul(H, W)
    num_heads = self.num_heads
    _3 = torch.reshape(_1, [B, _2, 3, num_heads, -1])
    qkv0 = torch.permute(_3, [2, 0, 3, 1, 4])
    num_heads0 = self.num_heads
    _4 = [3, torch.mul(B, num_heads0), torch.mul(H, W), -1]
    _5 = torch.unbind(torch.reshape(qkv0, _4))
    q, k, v, = _5
    scale = self.scale
    attn = torch.matmul(torch.mul(q, scale), torch.transpose(k, -2, -1))
    attn0 = torch.softmax(attn, -1)
    _6 = torch.matmul(attn0, v)
    num_heads1 = self.num_heads
    _7 = torch.view(_6, [B, num_heads1, H, W, -1])
    x0 = torch.reshape(torch.permute(_7, [0, 2, 3, 1, 4]), [B, H, W, -1])
    proj = self.proj
    return (proj).forward(x0, )
