class LayerNorm(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = []
  weight : Tensor
  bias : Tensor
  training : bool
  _is_full_backward_hook : NoneType
  elementwise_affine : Final[bool] = True
  eps : Final[float] = 9.9999999999999995e-07
  normalized_shape : Final[Tuple[int]] = (384,)
  def forward(self: __torch__.torch.nn.modules.normalization.LayerNorm,
    input: Tensor) -> Tensor:
    _0 = __torch__.torch.nn.functional.layer_norm
    weight = self.weight
    bias = self.bias
    _1 = _0(input, [384], weight, bias, 9.9999999999999995e-07, )
    return _1
class GroupNorm(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = []
  weight : Tensor
  bias : Tensor
  training : bool
  _is_full_backward_hook : NoneType
  eps : Final[float] = 1.0000000000000001e-05
  num_channels : Final[int] = 64
  num_groups : Final[int] = 1
  affine : Final[bool] = True
  def forward(self: __torch__.torch.nn.modules.normalization.GroupNorm,
    input: Tensor) -> Tensor:
    _2 = __torch__.torch.nn.functional.group_norm
    weight = self.weight
    bias = self.bias
    _3 = _2(input, 1, weight, bias, 1.0000000000000001e-05, )
    return _3
